## org.omg.PortableInterceptor
Class IORInterceptorHelper

    java.lang.Object
      |
      +--org.omg.PortableInterceptor.IORInterceptorHelper

public class IORInterceptorHelper
extends java.lang.Object

Helper class for : IORInterceptor

Author:
  OpenORB Compiler

Constructor Summary
`IORInterceptorHelper()`

Method Summary
`static IORInterceptor` `extract(Any a)` Extract IORInterceptor from an any
`static java.lang.String` `id()` Return the IORInterceptor IDL ID
`static void` `insert(Any a, IORInterceptor t)` Insert IORInterceptor into an any
`static IORInterceptor` `narrow(Object obj)` Narrow CORBA::Object to IORInterceptor
`static IORInterceptor` `read(InputStream istream)` Read IORInterceptor from a marshalled stream
`static TypeCode` `type()` Return the IORInterceptor TypeCode
`static IORInterceptor` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to IORInterceptor
`static void` `write(OutputStream ostream, IORInterceptor value)` Write IORInterceptor into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IORInterceptorHelper

    public IORInterceptorHelper()

Method Detail

### insert

    public static void insert(Any a,
                              IORInterceptor t)

  Insert IORInterceptor into an any
  Parameters:
    `a` - an any
    `t` - IORInterceptor value

### extract

    public static IORInterceptor extract(Any a)

  Extract IORInterceptor from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted IORInterceptor value

### type

    public static TypeCode type()

  Return the IORInterceptor TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the IORInterceptor IDL ID
  Returns:
    an ID

### read

    public static IORInterceptor read(InputStream istream)

  Read IORInterceptor from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed IORInterceptor value

### write

    public static void write(OutputStream ostream,
                             IORInterceptor value)

  Write IORInterceptor into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - IORInterceptor value

### narrow

    public static IORInterceptor narrow(Object obj)

  Narrow CORBA::Object to IORInterceptor
  Parameters:
    `obj` - the CORBA Object
  Returns:
    IORInterceptor Object

### unchecked_narrow

    public static IORInterceptor unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to IORInterceptor
  Parameters:
    `obj` - the CORBA Object
  Returns:
    IORInterceptor Object